Skip to main content
POST
Submit KYC document (deprecated)

Authorizations

Authorization
string
header
required

Secret key: Authorization: Bearer sk_test_... or sk_live_.... Business and live/test mode are inferred from the key.

Path Parameters

id
string
required

Customer Id

Body

application/json
id_type
enum<string>
required

Type of government-issued ID

Available options:
passport,
national_identity,
drivers_license
id_number
string
required

The ID / document number

id_front
string

Base64-encoded JPEG or PNG of the front of the ID (raw base64 or data URI).

id_back
string

Base64-encoded JPEG or PNG of the back of the ID (raw base64 or data URI).

country
string

ISO 3166-1 alpha-2 country code. Required if the customer has no country set; optional otherwise.

Response

KYC submitted successfully

message
string
Example:

"Success"

data
object | null